Skip to main content
POST
Delete tags from entity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business to remove tags for

Body

application/json
tag_ids
string<uuid>[]
required

List of tag IDs to delete

entity_type
enum<string>
required

The type of entity to remove tags from.

Available options:
CUSTOMER,
VENDOR,
BANK_TRANSACTION,
INVOICE,
INVOICE_PAYMENT,
INVOICE_PAYMENT_ALLOCATION,
INVOICE_WRITE_OFF,
BILL,
BILL_PAYMENT,
BILL_PAYMENT_ALLOCATION,
MANUAL_JOURNAL_ENTRY,
MANUAL_JOURNAL_ENTRY_LINE_ITEM,
CLOSING_ACTION,
CUSTOMER_PAYOUT,
VENDOR_PAYOUT,
PAYROLL,
PAYROLL_PAYMENT,
OPENING_BALANCE,
CUSTOMER_REFUND,
CUSTOMER_REFUND_PAYMENT,
CUSTOMER_REFUND_ALLOCATION,
CUSTOMER_REFUND_ALLOCATION_LINE_ITEM,
VENDOR_REFUND,
VENDOR_REFUND_PAYMENT,
VENDOR_REFUND_ALLOCATION,
VENDOR_REFUND_ALLOCATION_LINE_ITEM,
LEDGER_ENTRY,
QUICKBOOKS_LEDGER_ENTRY,
VENDOR_CREDIT,
CUSTOMER_CREDIT,
INVOICE_LINE_ITEM,
BILL_LINE_ITEM,
VENDOR_CREDIT_LINE_ITEM,
CUSTOMER_CREDIT_LINE_ITEM,
BANK_ACCOUNT

Response

Tags successfully removed

type
string

Resource type. Value will be 'com.layerfi.controllers.EmptyResponse'.

Example:

"{}"